package com.awesome.flulm_auth.handler;

import com.awesomeglobal.paysdk.auth.model.SendAuth;
import com.awesomeglobal.paysdk.modelpay.PayReq;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;

public class FlulmAuthHandler {
    private final MethodChannel methodChannel;

    public void sendAuth(MethodCall call, MethodChannel.Result result) {
        SendAuth.Req req = new SendAuth.Req();
        req.scope = (String) call.argument("scope");
        result.success(LmAPiHandler.lmAuth.sendReq(req));
    }

    public void sendPay(MethodCall call, MethodChannel.Result result) {
        PayReq req = new PayReq();
        req.openId = call.argument("openId");
        req.sign_data = call.argument("sign_data");
        req.language = call.argument("language");
        Integer test = call.argument("isTest");
        req.isTest = test == null ? 0 : test;
        result.success(LmAPiHandler.lmAuth.sendReq(req));
    }

    public FlulmAuthHandler(MethodChannel methodChannel) {
        this.methodChannel = methodChannel;
    }

}
